# ListenPortFileName

Writes the port number being listened on into the specified file.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  ListenPortFileName

Scope:

  input

Type:

  string

Default:

  input=none

Required?:

  no

Introduced:

  8.38.0

## Description

With this parameter you can specify the name for a file. In this file the port, imptcp is connected to, will be written. This parameter was introduced because the testbench works with dynamic ports.

## Input usage

    input(type="imptcp" listenPortFileName="...")

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.